{% load transport_utils %}
<!-- Loaded in BS modal -->
<form id="standalone-form" class="agenda-edit no-button-bar" method="post" action="{{ request.path }}">{% csrf_token %}
    {% if form.instance.regle %}
    <div class="alert alert-danger" role="alert">
        Attention, vous modifiez toutes les instances futures de cette disponibilité répétitive.
    </div>
    {% endif %}

    <div>{{ form.non_field_errors }}</div>
    <div class="d-flex">
        {% with form.date as field %}
        {% if form.instance.debut %}
            <div class="me-2 align-self-end pb-2">
                {% if occ_date %}{{ occ_date|date_transp }}{% else %}{{ form.instance.debut|date_transp }}{% endif %} {{ field }}
            </div>
        {% else %}
            <div class="me-2">
                <div class="formfield {{ field.css_classes }}">{{ field.errors }}{{ field.label_tag }}</div> {{ field }}
            </div>
        {% endif %}
        {% endwith %}
        {% with form.heure_de as field %}
        <div class="me-2">
            <div class="formfield {{ field.css_classes }}">{{ field.errors }}{{ field.label_tag }}</div> {{ field }}
        </div>
        {% endwith %}
        {% with form.heure_a as field %}
        <div class="me-2">
            <div class="formfield {{ field.css_classes }}">{{ field.errors }}{{ field.label_tag }}</div> {{ field }}
        </div>
        {% endwith %}
    </div>

    {% with form.description as field %}
    <!--div class="formfield {{ field.css_classes }}">{{ field.errors }}{{ field.label_tag }}</div--> {{ field }}
    {% endwith %}

    {% if form.repetition %}
    {{ form.instance.repetition }}
    <details open>
        <summary><b>Répétition</b></summary>
        <div>
            {% with form.repetition as field %}
            <div class="me-1">
                <div class="formfield {{ field.css_classes }}">{{ field.errors }}</div> {{ field }}
            </div>
            {% endwith %}
            {% with form.repetition_fin as field %}
            <div>
                <div class="formfield {{ field.css_classes }}">{{ field.errors }}{{ field.label_tag }}</div> {{ field }}
            </div>
            {% endwith %}
        </div>
    </details>
    {% endif %}
</form>

<div class="modal-footer row">
    {% if delete_url %}
    <div class="col-3 ps-0">
        <form class="inline" method="post" action="{{ delete_url }}">
            <button type="submit" id="delete" class="btn btn-danger delete">Supprimer</button>
        </form>
    </div>
    {% endif %}
    <div class="col text-end pe-0">
        <button type="button" id="modal-cancel" class="btn btn-secondary" data-bs-dismiss="modal">Annuler</button>
        <button type="submit" id="modal-save" form="standalone-form" class="btn btn-primary">Enregistrer</button>
    </div>
</div>

{% if object.pk and occ_date %}
    <form class="inline" method="post" action="{{ toggle_url }}">
        {% csrf_token %}
        <input name="occ_date" type="hidden" value="{{ occ_date|date:'c' }}">
        <button type="submit" id="delete" class="btn btn-warning delete confirm"
            data-confirm="Voulez-vous vraiment {% if occ_obj %}restaurer{% else %}annuler{% endif %} cette occurrence ?">
                {% if occ_obj %}Restaurer{% else %}Annuler{% endif %} l’occurrence du {{ occ_date|date:'j F' }}
        </button>
    </form>
{% endif %}
